
#include <unistd.h>
#include <sys/types.h>      // open()
#include <unistd.h>     // read() / write()
#include <sys/stat.h>
#include <fcntl.h>
#include <sys/ioctl.h>

#include <stdio.h>      // FILE
#include <stdlib.h>     // atol()
#include <string.h>     // strstr()
#include <errno.h>              // EIO, E...

#include <linux/adwin.h>

#include "libadwin/types.h"

#include "usb.h"

extern int errno;

long USB_Boot(adwin_dev_t *dev, int fd, char *dateiname, long iboardsize)
{
    errno = ENOTSUP;
    return -1;
}

int USB_Get_Memory_dsp(adwin_dev_t *dev, int fd, long base_addr, long anzahl, long *dest)
{
    errno = ENOTSUP;
    return -1;
}
/*
long USB_AD_Memory(adwin_dev_t *dev, int fd) {
    errno = ENOTSUP;
    return -1;
}
*/
int USB_Free_Mem(adwin_dev_t *dev, int fd, int Mem_Spec, int *dest)
{
    errno = ENOTSUP;
    return -1;
}

int USB_Test_Version(adwin_dev_t *dev, int fd)
{
    errno = ENOTSUP;
    return -1;
}

int USB_Load_Process(adwin_dev_t *dev, int fd, char *dateiname)
{
    errno = ENOTSUP;
    return -1;
}

int USB_Start_Process (adwin_dev_t *dev, int fd, int processID)
{
    errno = ENOTSUP;
    return -1;
}

int USB_Stop_Process (adwin_dev_t *dev, int fd, int processID)
{
    errno = ENOTSUP;
    return -1;
}

int USB_Get_Par (adwin_dev_t *dev, int fd, int parID, int *ref)
{
    errno = ENOTSUP;
    return -1;
}

int USB_Get_FPar (adwin_dev_t *dev, int fd, int parID, float *ref)
{
    errno = ENOTSUP;
    return -1;
}

int USB_Set_Par (adwin_dev_t *dev, int fd, int parID, int32_t value)
{
    errno = ENOTSUP;
    return -1;
}

int USB_Set_FPar (adwin_dev_t *dev, int fd, int parID, float value)
{
    errno = ENOTSUP;
    return -1;
}

int USB_Workload (adwin_dev_t *dev, int fd, int Priority, int32_t *dest)
{
    errno = ENOTSUP;
    return -1;
}

int USB_Data_Length(adwin_dev_t *dev, int fd, long DataNo)
{
    errno = ENOTSUP;
    return -1;
}

int USB_Clear_Data(adwin_dev_t *dev, int fd, int Datanr)
{
    errno = ENOTSUP;
    return -1;
}

int USB_Fifo_Clear(adwin_dev_t *dev, int fd, int FifoNo)
{
    errno = ENOTSUP;
    return -1;
}

int USB_Clear_Process (adwin_dev_t *dev, int fd, int processUD)
{
    errno = ENOTSUP;
    return -1;
}

int USB_GetData(adwin_dev_t *dev, int fd, int dataNo, long startindex, long count, void *dest)
{
    errno = ENOTSUP;
    return -1;
}

int USB_SetData(adwin_dev_t *dev, int fd, int dataNo, long startindex, long count, void *src)
{
    errno = ENOTSUP;
    return -1;
}

int USB_Fifo_Full(adwin_dev_t *dev, int fd, int FifoNo, int *dest)
{
    errno = ENOTSUP;
    return -1;
}

int USB_Fifo_Empty(adwin_dev_t *dev, int fd, int FifoNo, int *dest)
{
    errno = ENOTSUP;
    return -1;
}

int USB_GetFifo(adwin_dev_t *dev, int fd, int FifoNo, long count, void *dest)
{
    errno = ENOTSUP;
    return -1;
}

int USB_SetFifo(adwin_dev_t *dev, int fd, int FifoNo, long count, void *src)
{
    errno = ENOTSUP;
    return -1;
}
/*
int USB_CreateData(adwin_dev_t *dev, int fd, int datanr, int type, long groesse, int ort, int art) {
    errno = ENOTSUP;
    return -1;
}*/
/*
int USB_GetDataType(adwin_dev_t *dev, int fd, int datanr) {
    errno = ENOTSUP;
    return -1;
}
*/
int  USB_Get_Par_All(adwin_dev_t *dev, int fd, int np, int count, int32_t *pData)
{
    errno = ENOTSUP;
    return -1;
}

int  USB_Get_FPar_All(adwin_dev_t *dev, int fd, int np, int count, float *pData)
{
    errno = ENOTSUP;
    return -1;
}

int USB_GetDataType(adwin_dev_t *dev, int fd, int datanr)
{
    errno = ENOTSUP;
    return -1;
}
