****************************************
*	 Prozenummer = 1
*	 Delay = 1000
*	 Eventsource = 0
*	 Number of Loops = 0
*	 Prioritt = 0
*	 Version = 1
*	 FastStop = 0
*	 AdbasicVersion = 4000001
*	 ATSRAM = 0
*	 OPT_LEVEL = 1
*	 SAVECOMPIL = 0
****************************************
'The program Pro_DMO1 is searching for the maximum
'and minimum value out of 1000 samples from ADC-#1
'and writes the result to PAR_1 (min) and PAR_2 (max).
'After 1000 samples a flag (= PAR_10) is set.
'PAR_1 = minimum value
'PAR_2 = maximum value

'Platform: ADwin-Pro, with AIn8/16 (set to CARD ADDRESS 1)


#include adwpad.inc             ' Include-file for Pro-system 

#DEFINE limit 65535		'max. 16 bit ADC-value

DIM i1, iw, max, min AS INTEGER

INIT:
  i1 = 1			'reset sample counter
  max = 0			'initial maximum value
  min = limit			'initial minimum value
	PAR_10 = 0                  'init End-Flag
  GLOBALDELAY = 40000		'cycle-time of 1ms (T9)

EVENT:
  iw = ADC16(1,1)		'get sample
  IF (iw > max) THEN max = iw	'new maximum sample?
  IF (iw < min) THEN min = iw	'new minimum sample?
  i1 = i1 + 1			'increment index
  IF (i1 > 1000) THEN		'1000 samples done?
    i1 = 1				'reset index
    PAR_1 = min			'write minimum value
    PAR_2 = max			'write maximum value
    min = limit			'reset minimum value
    max = 0				'reset maximum value
    ACTIVATE_PC		'only for use with TestPoint
		PAR_10 = 1    'set End-Flag
  ENDIF
